#include <stdio.h>
#include <tcl.h>

/*----------------------------------------------------------------------------*/

int main( int argc, char* argv[] )
{
   Tcl_Main( argc, argv, Tcl_AppInit );
   return 0; /* Needed only to prevent compiler warning. */
}

/*----------------------------------------------------------------------------*/

int Tcl_AppInit( Tcl_Interp *interp )
{
   extern int GrUtil_Init( Tcl_Interp* );
   extern int GrBase_Init( Tcl_Interp* );
   //extern int GrLoop_Init( Tcl_Interp* );
   extern int GrRela_Init( Tcl_Interp* );
   extern int GrMath_Init( Tcl_Interp* );
   extern int GrGfxs_Init( Tcl_Interp* );

   if( Tcl_Init(interp)    == TCL_ERROR ) return TCL_ERROR;

   if( GrUtil_Init(interp) == TCL_ERROR ) return TCL_ERROR;
   if( GrBase_Init(interp) == TCL_ERROR ) return TCL_ERROR;
   //if( GrLoop_Init(interp) == TCL_ERROR ) return TCL_ERROR;
   if( GrRela_Init(interp) == TCL_ERROR ) return TCL_ERROR;
   if( GrMath_Init(interp) == TCL_ERROR ) return TCL_ERROR;
   if( GrGfxs_Init(interp) == TCL_ERROR ) return TCL_ERROR;

   tcl_RcFileName = "~/.grtclshrc";
   return TCL_OK;
}

/*----------------------------------------------------------------------------*/
